{% extends 'pmpexam/base.html' %}
{% load pmp_extras %}

{% block content %}
    <strong>Question:</strong> {{ question|linebreaks }}

    {% if error_message %}
        <p><strong>{{ error_message }}</strong></p>
    {% endif %}

    {% for option in question.options_set.all %}
        <div class="chart">
            [{{ option.votes }}]
            <div style="width: {{ option.votes|multiply:"10" }}px;" class="bar">{{ option.votes }}</div>
            {{ option.option_index }}.  {{ option.option_text }}
        </div>
    {% endfor %}

    <br />
    <table>
        <td>
            {% if question_number > question.id %}
                <a href="{% url "pmp:detail" next_id %}">Next</a>
            {% else %}
                No more questions.
            {% endif %}
        </td>
    </table>

    <br />
    {% if question.answer == None %}
        <p></p>
    {% else %}
        <p>
            <div class="answer">
                <strong>Answer: </strong>
                {{ question.answer }}
            </div>
        </p>
    {% endif %}
    {% if question.chapter == None %}
        <p></p>
    {% else %}
        <p>
            <div class="chapter">
                <strong>Chapter: </strong>                
                {{ question.chapter }}
            </div>
        </p>
    {% endif %}
    {% if question.description == None %}
        <p></p>
    {% else %}
        <p>
            <div class="answer">
                <strong>Analysis: </strong><br />
                {{ question.description|linebreaks }}
            </div>
        </p>
    {% endif %}
    {% if user.is_authenticated %}
        <p>
            <table>
                <td>
                    <a href="{% url "pmp:edit" question.id %}">Edit</a>
                </td>
            </table>
        </p>
    {% endif %}
{% endblock %}
